Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.tools.maven
Class AbstractOpenJpaEnhancerMojo

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.apache.openjpa.tools.maven.AbstractOpenJpaMojo
              org.apache.openjpa.tools.maven.AbstractOpenJpaEnhancerMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Direct Known Subclasses:
  OpenJpaEnhancerMojo, OpenJpaTestEnhancerMojo

    public abstract class AbstractOpenJpaEnhancerMojo

extends AbstractOpenJpaMojo

The base class for all enhancement mojos.

Since:
  1.1
Version:
  $Id: AbstractOpenJpaTestEnhancerMojo.java 9137 2009-02-28 21:55:03Z struberg $

Field Summary
`protected boolean` | `addDefaultConstructor` The JPA spec requires that all persistent classes define a no-arg constructor.
`protected boolean` | `enforcePropertyRestrictions` Whether to throw an exception when it appears that a property access entity is not obeying the restrictions placed on property access.
`protected boolean` | `tmpClassLoader` Tell the PCEnhancer to use a temporary classloader for enhancement.

Fields inherited from class org.apache.openjpa.tools.maven.AbstractOpenJpaMojo
`classes, compileClasspathElements, OPTION_CONNECTION_DRIVER_NAME, OPTION_CONNECTION_PROPERTIES, OPTION_PROPERTIES, OPTION_PROPERTIES_FILE, project`

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`AbstractOpenJpaEnhancerMojo()`

Method Summary
`void` | `execute()`
`protected Options` | `getOptions()` Get the options for the OpenJPA enhancer tool.

Methods inherited from class org.apache.openjpa.tools.maven.AbstractOpenJpaMojo
`createOptions, extendRealmClasspath, findEntityClassFiles, getClasspathElements, getEntityClasses, getFilePaths, skipMojo`

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### addDefaultConstructor

    protected boolean addDefaultConstructor

  The JPA spec requires that all persistent classes define a no-arg constructor. This flag tells the enhancer whether to add a protected no-arg constructor to any persistent classes that don't already have one.

### enforcePropertyRestrictions

    protected boolean enforcePropertyRestrictions

  Whether to throw an exception when it appears that a property access entity is not obeying the restrictions placed on property access.

### tmpClassLoader

    protected boolean tmpClassLoader

  Tell the PCEnhancer to use a temporary classloader for enhancement. If you enable this feature, then no depending artifacts from the classpath will be used! Please note that you have to disable the tmpClassLoader for some cases in OpenJPA-1.2.1 due to an extended parsing strategy.

Constructor Detail

### AbstractOpenJpaEnhancerMojo

    public AbstractOpenJpaEnhancerMojo()

Method Detail

### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException,
                        org.apache.maven.plugin.MojoFailureException

  Throws:
    `org.apache.maven.plugin.MojoExecutionException`
    `org.apache.maven.plugin.MojoFailureException`
  See Also:
    `Mojo.execute()`

### getOptions

    protected Options getOptions()

  Get the options for the OpenJPA enhancer tool.

  Specified by:
    `getOptions` in class `AbstractOpenJpaMojo`
  Returns:
    populated Options

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.